Package oracle.kv

# Enum Direction

java.lang.Object
java.lang.Enum<Direction>
oracle.kv.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<Direction>`, `oracle.kv.impl.util.FastExternalizable`

public enum Direction extends Enum<Direction> implements oracle.kv.impl.util.FastExternalizable
Used with iterator operations to specify the order that keys are returned.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORWARD`
  Iterate in ascending key order.
  `REVERSE`
  Iterate in descending key order.
  `UNORDERED`
  Iterate in no particular key order.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `VALUES_COUNT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Direction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Direction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Enum Constant Details

  - ### FORWARD

    public static final Direction FORWARD
    Iterate in ascending key order.

  - ### REVERSE

    public static final Direction REVERSE
    Iterate in descending key order.

  - ### UNORDERED

    public static final Direction UNORDERED
    Iterate in no particular key order.

- ## Field Details

  - ### VALUES_COUNT

    public static final int VALUES_COUNT

- ## Method Details

  - ### values

    public static Direction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Direction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null